import { fileURLToPath } from "url";
import { defineConfig } from "astro/config";
import solidJs from "@astrojs/solid-js";
import node from "@astrojs/node";
import dotenv from "dotenv";

dotenv.config();

export default defineConfig({
    site: process.PUBLIC_BASE_URL ?? "http://localhost:3000/",
    base: process.env.ASTRO_BASE,
    integrations: [solidJs()],
    outDir: fileURLToPath(new URL("./dist/", import.meta.url)),
    output: "server",
    adapter: node({
        mode: "middleware"
    })
});
